Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 1055603003: Don't #define snprintf in VS 2015 or higher. (Closed)

Created:
4 years, 5 months ago by brucedawson
Modified:
4 years, 5 months ago
Reviewers:
Johann, Tom Finegan
CC:
wwcv, jzern, fgalligan1
Base URL:
https://chromium.googlesource.com/chromium/deps/libvpx.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Don't #define snprintf in VS 2015 or higher. In VS 2015 and higher snprintf is supplied and therefore vsnprintf doesn't need to be defined. This also avoids problems caused by _snprintf being different from snprintf. This fixes a build break with VS 2015 and improves security. R=tomfinegan@chromium.org BUG=440500 Committed: https://chromium.googlesource.com/chromium/deps/libvpx/+/0816cf21b0f04c1d2cf86b4e3d120a49e4ac8fa6

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -0 lines) Patch
M source/libvpx/vp9/common/vp9_systemdependent.h View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 10 (3 generated)
brucedawson
4 years, 5 months ago (2015-04-14 23:21:14 UTC) #2
Johann
LGTM https://gerrit.chromium.org/gerrit/74359
4 years, 5 months ago (2015-04-15 13:33:15 UTC) #3
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
4 years, 5 months ago (2015-04-15 16:01:55 UTC) #6
Johann
libvpx is in a weird location in the chromium tree. try: $ git cl land
4 years, 5 months ago (2015-04-15 16:03:46 UTC) #7
Johann
On 2015/04/15 16:03:46, Johann wrote: > libvpx is in a weird location in the chromium ...
4 years, 5 months ago (2015-04-15 16:05:57 UTC) #8
Tom Finegan
On 2015/04/15 16:05:57, Johann wrote: > On 2015/04/15 16:03:46, Johann wrote: > > libvpx is ...
4 years, 5 months ago (2015-04-15 16:46:48 UTC) #9
Johann
4 years, 5 months ago (2015-04-15 20:38:10 UTC) #10
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
0816cf21b0f04c1d2cf86b4e3d120a49e4ac8fa6 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698